> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Direct Debit

> Cancel via Direct debit



## OpenAPI

````yaml /openapi/collections.json post /direct-debit/Cancel
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /direct-debit/Cancel:
    post:
      tags:
        - Direct-debit
      summary: Cancel Direct Debit
      description: Cancel via Direct debit
      operationId: Cancel from Flick accounts with Direct debit
      requestBody:
        description: Inititate cancel a Direct debit Payment
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DirectCancel'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Creation failed
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    DirectCancel:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          example: uuid-34l45m5-5mfo9-em43-
    DirectResponse:
      type: object
      properties:
        CustomerCode:
          type: string
          example: S1_RFVcKsbBySc6
        transactionId:
          type: string
          example: uuid-34l45m5-5mfo9-
        directdeitReference:
          type: string
          example: uuid-34l45m5-5mfo9-
        dated:
          type: string
          example: '2024-04-11T14:49:31.998Z'
        mandate_status:
          type: string
          example: initiated
        total_expected_deductions:
          type: integer
          example: 18
        frequency:
          type: string
          example: daily
        amount_per_charge:
          type: string
          example: '1000'
        total_charge_amount:
          type: integer
          example: '1500'
        url:
          type: string
          example: ' https://google.com'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.